;;; $Id: auto-autoloads.el 750 2005-10-07 07:58:02Z kose $
;;;
;;; packages/pkginfo/info-ja-gnus/auto-autoloads.el
;;; Copyright (C) 2006 The Meadow Team
;;; Author: KOSEKI Yoshinori <kose@meadowy.org>

;;
(defadvice Info-goto-node (around prefer-japanese-edition activate)
  "{ł Gnus }jAD悷B"
  (if (and (not (eq major-mode 'Info-mode))
	   (string-match "\\`(\\(emacs-mime\\|gnus-coding\
\\|gnus-faq\\|gnus\\|gnus-news\\|message\\|pgg\\|sasl\\|sieve\\))"
			 (ad-get-arg 0)))
      (let ((orig (ad-get-arg 0)))
	(ad-set-arg 0 (concat (substring (ad-get-arg 0)
					 0 (1- (match-end 0)))
			      "-ja"
			      (substring (ad-get-arg 0)
					 (1- (match-end 0)))))
	(condition-case nil
	    ad-do-it
	  (error
	   (ad-set-arg 0 orig)
	   ad-do-it)))
    ad-do-it))

;;; auto-autoloads.el ends here
